Subject: RE: IRP Claims related to draft-enyedi-rtgwg-mrt-frr-algorithm

From: András Császár <[email-masked]>
Date: Thu, 5 Dec 2013 20:47:09 +0000

Dear All,
Sorry for a late response to this. The IPRs are reported to the architecture draft.
I agree with Alia’s comment on b), c) and d).

As for a) the IPR I know about is claiming the usage of one of the redundant trees in case of failures, but to the best of my understanding does not claim the MRT calculation algorithms described in draft-enyedi-rtgwg-mrt-frr-algorithm. (So, to me, it is more related to the architecture draft.)

András

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alia Atlas
Sent: 2013. október 23. 21:29
To: Alvaro Retana (aretana)
Cc: [email-masked]; Alia Atlas; [email-masked]
Subject: Re: IRP Claims related to draft-enyedi-rtgwg-mrt-frr-algorithm

[WG Chair Hat off]

Hi Alvaro,

To my knowledge, there are various IPR claims on the architecture draft.  Obviously, people must read the various
IPR claims andi make their own decisions.

a) On using the MRT algorithm for fast-reroute with trying MRT-BLUE and going to MRT-RED if that fails.  (Initial approach
    in the first versions of the draft).
b) MRT forwarding encapsulations
c) Partial deployment computations for MRT-FRR - but the part in the algorithm draft is just a simplification of the MRT algorithm
    so it can be called.
d) Various multicast-related aspects.

draft-enyedi-rtgwg-mrt-algorithm is based on Gabor's dissertation work.  The extensions to that for computing which MRT to use
for an alternate were developed jointly in the IETF context.

I don't believe that (b), (c), or (d) apply to the algorithm draft.  Andras and Gabor can answer more whether they think that (a)
applies.

Alia

On Wed, Oct 23, 2013 at 3:16 PM, Alvaro Retana (aretana) <[email-masked]<mailto:[email-masked]>> wrote:
On 10/22/13 4:13 PM, "Gábor Sándor Enyedi" <[email-masked]<mailto:[email-masked]>> wrote:

[WG Chair Hat Off]

Gabor (and Andras, and Alia and Chris):

I don't know about any IPR . . . his draft is only describing algorithms.
It's interesting to me that there are IPR disclosures (from both Ericsson and Juniper) attached to the architecture draft, but not to this draft.

https://datatracker.ietf.org/ipr/search/?option=document_search&document_search=draft-ietf-rtgwg-mrt-frr-architecture

I would have thought that the IPR would be attached here (in the algorithm draft) since it provides the details of how the architecture can be implemented.

Given the discussion (in the thread where I made some comments to the algorithm draft) about where the limits of the algorithm vs the profile are, and whether one is part of the other or not, it surprises me that no one has claimed any IPR on this draft: there seems to be significant leakage and overlap  between what's in the architecture and how the algorithm operates.  In my mind, that either means that the claims over the architecture are very narrow, or that something should be declared for the algorithm.

It would be nice if you checked again about the overlap, or if you clarified what specifically is covered in the architecture draft.  Of concern to me are the terms from Ericsson ("Reasonable and Non-Discriminatory License to All Implementers with Possible Royalty/Fee.").  I realize that it is out of the scope of the WG to talk about the applicability of terms, but this is not the first time that this topic comes up; take a look at the minutes from IETF 82:  http://www.ietf.org/proceedings/82/minutes/rtgwg.txt

Thanks!

Alvaro.

_______________________________________________
rtgwg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtgwg